# cpm_user – Get various status and parameters from WTI OOB and PDU devices

New in version 2.7.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Get/Add/Edit Delete Users from WTI OOB and PDU devices

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

cpm_action
- / required

Choices:
- getuser
- adduser
- edituser
- deleteuser

This is the Action to send the module.

cpm_password - / required |  | This is the Basic Authentication Password of the WTI device to send the module.
cpm_url - / required |  | This is the URL of the WTI device to send the module.
cpm_username - / required |  | This is the Basic Authentication Username of the WTI device to send the module.

use_https
boolean

Choices:
- no
- yes ←

Designates to use an https connection or http connection.

use_proxy
boolean

Choices:
- no ←
- yes

Flag to control if the lookup will observe HTTP proxy environment variables when present.

user_accessapi
-

Choices:
- 0
- 1

If the user has access to the WTI device via RESTful APIs
0 No , 1 Yes

user_accesslevel
-

Choices:
- 0
- 1
- 2
- 3

This is the access level that needs to be create/modified/deleted
0 View, 1 User, 2 SuperUser, 3 Administrator

user_accessmonitor
-

Choices:
- 0
- 1

If the user has ability to monitor connection sessions
0 No , 1 Yes

user_accessoutbound
-

Choices:
- 0
- 1

If the user has ability to initiate Outbound connection
0 No , 1 Yes

user_accessserial
-

Choices:
- 0
- 1

If the user has access to the WTI device via Serial ports
0 No , 1 Yes

user_accessssh
-

Choices:
- 0
- 1

If the user has access to the WTI device via SSH
0 No , 1 Yes

user_accessweb
-

Choices:
- 0
- 1

If the user has access to the WTI device via Web
0 No , 1 Yes

user_callbackphone - |  | This is the Call Back phone number used for POTS modem connections
user_groupaccess - |  | If AccessLevel is lower than Administrator, which Groups the user has access
user_name - / required |  | This is the User Name that needs to be create/modified/deleted
user_pass - |  | This is the User Password that needs to be create/modified/deleted If the user is being Created this parameter is required
user_plugaccess - |  | If AccessLevel is lower than Administrator, which plugs the user has access
user_portaccess - |  | If AccessLevel is lower than Administrator, which ports the user has access

validate_certs
boolean

Choices:
- no
- yes ←

If false, SSL certificates will not be validated. This should only be used
on personally controlled sites using self-signed certificates.

## Examples

    # Get User Parameters
    - name: Get the User Parameters for the given user of a WTI device
      cpm_user:
        cpm_action: "getuser"
        cpm_url: "rest.wti.com"
        cpm_username: "restuser"
        cpm_password: "restfuluserpass12"
        use_https: true
        validate_certs: true
        user_name: "usernumberone"

    # Create User
    - name: Create a User on a given WTI device
      cpm_user:
        cpm_action: "adduser"
        cpm_url: "rest.wti.com"
        cpm_username: "restuser"
        cpm_password: "restfuluserpass12"
        use_https: true
        validate_certs: false
        user_name: "usernumberone"
        user_pass: "complicatedpassword"
        user_accesslevel: 2
        user_accessssh: 1
        user_accessserial: 1
        user_accessweb: 0
        user_accessapi: 1
        user_accessmonitor: 0
        user_accessoutbound: 0
        user_portaccess: "10011111"
        user_plugaccess: "00000111"
        user_groupaccess: "00000000"

    # Edit User
    - name: Edit a User on a given WTI device
      cpm_user:
        cpm_action: "edituser"
        cpm_url: "rest.wti.com"
        cpm_username: "restuser"
        cpm_password: "restfuluserpass12"
        use_https: true
        validate_certs: false
        user_name: "usernumberone"
        user_pass: "newpasswordcomplicatedpassword"

    # Delete User
    - name: Delete a User from a given WTI device
      cpm_user:
        cpm_action: "deleteuser"
        cpm_url: "rest.wti.com"
        cpm_username: "restuser"
        cpm_password: "restfuluserpass12"
        use_https: true
        validate_certs: true
        user_name: "usernumberone"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
data string | always | The output JSON returned from the commands sent

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Western Telematic Inc. (@wtinetworkgear)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.